Page MenuHomeFreeBSD

[NEW] mail/py-imaplib2: Threaded Python IMAP4 client
ClosedPublic

Authored by dereks_lifeofadishwasher.com on Feb 28 2022, 3:30 AM.
Tags
None
Referenced Files
F68566810: D34390.diff
Sat, Sep 30, 11:23 PM
F68566808: D34390.diff
Sat, Sep 30, 11:23 PM
Unknown Object (File)
Wed, Sep 27, 3:16 PM
Unknown Object (File)
Sun, Sep 24, 11:42 PM
Unknown Object (File)
Wed, Sep 6, 4:57 AM
Unknown Object (File)
Aug 14 2023, 8:46 AM
Unknown Object (File)
Aug 13 2023, 10:12 PM
Unknown Object (File)
Aug 13 2023, 10:11 PM

Details

Summary

PR: 262232

mail/py-imaplib2: Threaded Python IMAP4 client

Based on RFC 3501 and original imaplib module.

This is a version of imaplib that uses threads to allow full use of
the IMAP4 concurrency features, and to de-couple a user of imaplib
from i/o lags, except where explicitly allowed.

WWW: https://github.com/jazzband/imaplib2/
Test Plan
  • portlint: looks fine.
  • testport: 13amd64 default options.
  • maketest: 2 passed in 0.02 seconds
  • other: Test with py-offlineimap3. Been using the 8.0.0 python3 version in a venv via pip-install for over a week and pkg install version for a couple days.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

koobs retitled this revision from mail/py-imaplib2: New port mail/py-imaplib2 to [NEW[ mail/py-imaplib2: Threaded Python IMAP4 client.Mar 1 2022, 2:04 AM
koobs edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
koobs added a reviewer: koobs.
koobs edited the test plan for this revision. (Show Details)
koobs added a subscriber: Python.
koobs requested changes to this revision.Mar 1 2022, 2:20 AM
  • Upstream has a test suite. Add TEST_DEPENDS and (do-)test target for comprehensive and easy QA. If the PyPI sdist doesnt ship the tests, use github and ask upstream to package tests and test files for downstreams to use and reference. Don't depend or use tox, just run pytest directly. See existing ports for invocations. Add test results to maketest: in TEST PLAN section of this diff
  • Upstream declares python_requires = >=3.6 but also Programming Language :: Python :: 3.9. 3.10 is in the tree, and USES=python:<version-spec> should be capped to the versions it supports (and works and is tested with). Upstream (tox.ini) only CI's with envlist = py{36,37,38,39}. Ask upstream to add 3.10 and run tests with it. If it passes, leave <version-spec> uncapped, otherwise, cap it at 3.6-3.9
This revision now requires changes to proceed.Mar 1 2022, 2:20 AM

You're correct the tests dir is not included in the sdist. However, those test are just to import the module. Maybe to test future absolute_import? I don't know how much value this would add. If you still think this is a good idea I can ask to include tests.

You're correct the tests dir is not included in the sdist. However, those test are just to import the module. Maybe to test future absolute_import? I don't know how much value this would add. If you still think this is a good idea I can ask to include tests.

I'd grab the github sources in the short term, commenting USE_GITHUB with # tests not packaged in PyPI sdist, and open an issue upstream (or better a PR) to include them. You'll probably need to recursive-include <something> in setup.py (or equivalent) and something like exclude_package_data={ ... } to exclude them from installation

You're correct the tests dir is not included in the sdist. However, those test are just to import the module. Maybe to test future absolute_import? I don't know how much value this would add. If you still think this is a good idea I can ask to include tests.

Either way, the ability to quickly run QA completely via the port is 👍

koobs retitled this revision from [NEW[ mail/py-imaplib2: Threaded Python IMAP4 client to [NEW] mail/py-imaplib2: Threaded Python IMAP4 client.Mar 2 2022, 10:30 PM

Add comment about copying tests waiting for release

This revision was not accepted when it landed; it landed in state Needs Review.Dec 27 2022, 2:51 PM
This revision was automatically updated to reflect the committed changes.